Subject: bug#59341: closed (Re: bug#59341: 29.0.50; Lisp files with other encoding than UTF-8?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Nov 2022 09:27:02 +0000

Your bug report

#59341: 29.0.50; Lisp files with other encoding than UTF-8?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59341: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59341
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59341: 29.0.50; Lisp files with other encoding than UTF-8?
From: Eli Zaretskii <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Nov 2022 11:26:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 18 Nov 2022 18:14:50 +0100
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'd rather describe the reason in more detail there.
> >
> > I can do this myself if you prefer.
> 
> Yes, that would be much appreciated.  Thank you.

Done, and closing the bug.

Subject: 29.0.50; Lisp files with other encoding than UTF-8?
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Thu, 17 Nov 2022 11:38:46 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that codespell was having trouble with one of our files
(ethio-util.el), refusing to read it as UTF-8.  This lead to some
unexpected and unwanted behavior.

So I took a closer look and found that several files in lisp/ appear to
be use some other encoding than UTF-8:

$ cd lisp ; for f in $(git ls-files|egrep '.el$'); \
    do file $f | grep -v UTF-8 | grep -v " ASCII" ; \
  done ; cd -
international/titdic-cnv.el: Lisp/Scheme program, Non-ISO
extended-ASCII text, with LF, NEL line terminators
language/ethio-util.el: Lisp/Scheme program, Non-ISO extended-ASCII
text, with LF, NEL line terminators
language/ethiopic.el: Lisp/Scheme program, Non-ISO extended-ASCII text
language/ind-util.el: Lisp/Scheme program, Non-ISO extended-ASCII
text, with LF, NEL line terminators
language/tibet-util.el: Lisp/Scheme program, Non-ISO extended-ASCII
text, with LF, NEL line terminators
language/tibetan.el: Non-ISO extended-ASCII text, with LF, NEL line terminators
leim/quail/ethiopic.el: Non-ISO extended-ASCII text, with LF, NEL line
terminators
leim/quail/tibetan.el: Lisp/Scheme program, Non-ISO extended-ASCII
text, with LF, NEL line terminators

Should these files be converted to UTF-8?